Bug 148967 - [patch] [smallfix] sysutils/bacula-server files/patch-src-lib-crypto.c is cleared out
Summary: [patch] [smallfix] sysutils/bacula-server files/patch-src-lib-crypto.c is cle...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Olli Hauer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-26 16:20 UTC by tacid
Modified: 2010-09-07 17:33 UTC (History)
0 users

See Also:


Attachments
file.diff (665 bytes, patch)
2010-07-26 16:20 UTC, tacid
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tacid 2010-07-26 16:20:06 UTC
As was mentioned by Angelo Turetta <aturetta@commit.it> in ports/146766 the patch commited contains a mistake. In files/patch-src-lib-crypto.c there is a part:

@@ -316,7 +316,11 @@
*/
static ASN1_OCTET_STRING *openssl_cert_keyid(X509 *cert) {
X509_EXTENSION *ext;
+#if (OPENSSL_VERSION_NUMBER < 0x10000000L)
const X509V3_EXT_METHOD *method;
+#else
+ const X509V3_EXT_METHOD *method;
+#endif
ASN1_OCTET_STRING *keyid;
int i;

but it does nothing. I've made tests compiling bacula with openssl 0.9.7, 0.9.8 and 1.0.0 - OK without patching this part. So I've removed this part from the patch

Fix: patch over files/patch-src-lib-crypto.c

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-07-26 16:20:20 UTC
Maintainer of sysutils/bacula-server,

Please note that PR ports/148967 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/148967

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-07-26 16:20:22 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Dan Langille 2010-07-27 04:02:19 UTC
Approved.
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2010-07-27 05:34:11 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Olli Hauer freebsd_committer 2010-08-18 00:24:02 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ohauer

I'll take it
Comment 6 Olli Hauer freebsd_committer 2010-09-07 17:30:33 UTC
State Changed
From-To: open->closed

- Fix is no longer needed since bacula-5.0.3 

PR 148967 is obsolated with PR 150263